using Azure;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AipGateway.API.Domain.Entities
{
    [Table("TB_AIP_CONFIG")]
    public class TbAipConfig
    {
        [Key]
        [DatabaseGeneratedAttribute(DatabaseGeneratedOption.Identity)]
        public required int Id { get; set; }

        public required int AipServerId { get; set; }

        [StringLength(1023)]
        public required string ConfigKey { get; set; }

        public required string ConfigValue { get; set; }
        

        public required DateTime CreatedAt { get; set; }

        public override string ToString()
        {
            return "TbAipConfig{ Id: " + Id + ", AipServerId: " + AipServerId + ", ConfigKey: " + ConfigKey + ", ConfigValue: " + ConfigValue + ", CreatedAt: " + CreatedAt + " }";
        }
    }
}
